Package net.md_5.bungee.api

# Interface ProxyConfig

@Deprecated public interface ProxyConfig
Deprecated.
This class is subject to rapid change between releases
Core configuration adaptor for the proxy api.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<String>`
  `getDisabledCommands()`
  Deprecated.
  A collection of disabled commands.
  `String`
  `getFavicon()`
  Deprecated.
  Use #getFaviconObject instead.
  `Favicon`
  `getFaviconObject()`
  Deprecated.
  The favicon used for the server ping list.
  `Collection<ListenerInfo>`
  `getListeners()`
  Deprecated.
  Set of all listeners.
  `int`
  `getPlayerLimit()`
  Deprecated.
  Returns the player max.
  `int`
  `getRemotePingCache()`
  Deprecated.
  Time in milliseconds to cache server list info from a ping request from the proxy to a server.
  `int`
  `getRemotePingTimeout()`
  Deprecated.
  Time in milliseconds before timing out a ping request from the proxy to a server when attempting to request server list info.
  `int`
  `getServerConnectTimeout()`
  Deprecated.
  Time in milliseconds before timing out a clients request to connect to a server.
  `Map<String,ServerInfo>`
  `getServers()`
  Deprecated.
  Set of all servers.
  `int`
  `getThrottle()`
  Deprecated.
  `int`
  `getTimeout()`
  Deprecated.
  Time before users are disconnected due to no network activity.
  `String`
  `getUuid()`
  Deprecated.
  UUID used for metrics.
  `boolean`
  `isIpForward()`
  Deprecated.
  `boolean`
  `isLogCommands()`
  Deprecated.
  Whether proxy commands are logged to the proxy log.
  `boolean`
  `isOnlineMode()`
  Deprecated.
  Does the server authenticate with Mojang.

- ## Method Details

  - ### getTimeout

    int getTimeout()
    Deprecated.
    Time before users are disconnected due to no network activity.
    Returns:
      timeout

  - ### getUuid

    String getUuid()
    Deprecated.
    UUID used for metrics.
    Returns:
      uuid

  - ### getListeners

    Collection<ListenerInfo> getListeners()
    Deprecated.
    Set of all listeners.
    Returns:
      listeners

  - ### getServers

    Map<String,ServerInfo> getServers()
    Deprecated.
    Set of all servers.
    Returns:
      servers

  - ### isOnlineMode

    boolean isOnlineMode()
    Deprecated.
    Does the server authenticate with Mojang.
    Returns:
      online mode

  - ### isLogCommands

    boolean isLogCommands()
    Deprecated.
    Whether proxy commands are logged to the proxy log.
    Returns:
      log commands

  - ### getRemotePingCache

    int getRemotePingCache()
    Deprecated.
    Time in milliseconds to cache server list info from a ping request from the proxy to a server.
    Returns:
      cache time

  - ### getPlayerLimit

    int getPlayerLimit()
    Deprecated.
    Returns the player max.
    Returns:
      player limit

  - ### getDisabledCommands

    Collection<String> getDisabledCommands()
    Deprecated.
    A collection of disabled commands.
    Returns:
      disabled commands

  - ### getServerConnectTimeout

    int getServerConnectTimeout()
    Deprecated.
    Time in milliseconds before timing out a clients request to connect to a server.
    Returns:
      connect timeout

  - ### getRemotePingTimeout

    int getRemotePingTimeout()
    Deprecated.
    Time in milliseconds before timing out a ping request from the proxy to a server when attempting to request server list info.
    Returns:
      ping timeout

  - ### getThrottle

    @Deprecated int getThrottle()
    Deprecated.
    The connection throttle delay.
    Returns:
      throttle

  - ### isIpForward

    @Deprecated boolean isIpForward()
    Deprecated.
    Whether the proxy will parse IPs with spigot or not.
    Returns:
      ip forward

  - ### getFavicon

    @Deprecated String getFavicon()
    Deprecated.
    Use #getFaviconObject instead.
    The encoded favicon.
    Returns:
      favicon

  - ### getFaviconObject

    Favicon getFaviconObject()
    Deprecated.
    The favicon used for the server ping list.
    Returns:
      favicon